# EReflowSorted

## Name

EReflowSorted --

## Synopsis

                EReflowSorted;
    #define     E_REFLOW_SORTED_TYPE
    char*       (*EReflowStringFunc)            (GnomeCanvasItem*);
    void        e_reflow_sorted_remove_item     (EReflowSorted *sorted,
                                                 const char *id);
    void        e_reflow_sorted_replace_item    (EReflowSorted *sorted,
                                                 GnomeCanvasItem *item);
    void        e_reflow_sorted_reorder_item    (EReflowSorted *e_reflow_sorted,
                                                 const gchar *id);
    GnomeCanvasItem* e_reflow_sorted_get_item   (EReflowSorted *e_reflow_sorted,
                                                 const gchar *id);
    void        e_reflow_sorted_jump            (EReflowSorted *sorted,
                                                 GCompareFunc compare_func,
                                                 void *value);

## Object Hierarchy

      GtkObject
       +----GnomeCanvasItem
             +----GnomeCanvasGroup
                   +----EReflow
                         +----EReflowSorted

## Properties

      "compare-func"         gpointer              : Read / Write
      "string-func"          gpointer              : Read / Write

## Description

## Details

### EReflowSorted

    typedef struct _EReflowSorted EReflowSorted;

### E_REFLOW_SORTED_TYPE

    #define E_REFLOW_SORTED_TYPE			(e_reflow_sorted_get_type ())

### EReflowStringFunc ()

    char*       (*EReflowStringFunc)            (GnomeCanvasItem*);

`Param1` : |
Returns : |

### e_reflow_sorted_remove_item ()

    void        e_reflow_sorted_remove_item     (EReflowSorted *sorted,
                                                 const char *id);

`sorted` : |
`id` : |

### e_reflow_sorted_replace_item ()

    void        e_reflow_sorted_replace_item    (EReflowSorted *sorted,
                                                 GnomeCanvasItem *item);

`sorted` : |
`item` : |

### e_reflow_sorted_reorder_item ()

    void        e_reflow_sorted_reorder_item    (EReflowSorted *e_reflow_sorted,
                                                 const gchar *id);

`e_reflow_sorted` : |
`id` : |

### e_reflow_sorted_get_item ()

    GnomeCanvasItem* e_reflow_sorted_get_item   (EReflowSorted *e_reflow_sorted,
                                                 const gchar *id);

`e_reflow_sorted` : |
`id` : |
Returns : |

### e_reflow_sorted_jump ()

    void        e_reflow_sorted_jump            (EReflowSorted *sorted,
                                                 GCompareFunc compare_func,
                                                 void *value);

`sorted` : |
`compare_func` : |
`value` : |

## Properties

### The "`compare-func`" property

      "compare-func"         gpointer              : Read / Write

### The "`string-func`" property

      "string-func"          gpointer              : Read / Write